%define snapshot 20110502git

Name:           libbluedevil
Version:        1.9
Release:        0.1.%{snapshot}%{?dist}
Summary:        A Qt wrapper for bluez

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://ereslibre.es/

#Source0:        http://media.ereslibre.es/2010/09/libbluedevil-v%{version}.tar.bz2

# there's no v1.9 official release yet but we need it for bluedevil but it's already
# tagged in GIT
# git archive --format=tar --remote=git://anongit.kde.org/libbluedevil v1.9s /
# --prefix=libbluedevil-v1.9/ -o libbluedevil-v1.9.tgz
# tar xvzf libbluedevil-v1.9.tgz
# rm libbluedevil-v1.9/qt4.tag
# tar cjvf libbluedevil-v1.9-%{snapshot}.tar.bz2 libbluedevil-v1.9/
Source0:        libbluedevil-v%{version}-%{snapshot}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt4-devel
BuildRequires:  automoc4
BuildRequires:  cmake

Requires:       bluez

%description
%{name} is Qt-based library written handle all Bluetooth functionality.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
Development files for %{name}.


%prep
%setup -q -n %{name}-v%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc HACKING
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon May 02 2011 Jaroslav Reznik <jreznik@redhat.com> - 1.9-0.1
- update to pre-release snapshot of 1.9

* Mon Mar 28 2011 Jaroslav Reznik <jreznik@redhat.com> - 1.8.1-1
- update to 1.8.1

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 30 2010 Jaroslav Reznik <jreznik@redhat.com> - 1.8-3
- update to 1.8-1 (respin?)

* Wed Sep 29 2010 jkeating - 1.8-2
- Rebuilt for gcc bug 634757

* Tue Sep 21 2010 Jaroslav Reznik <jreznik@redhat.com> - 1.8-1
- update to 1.8

* Fri Aug 13 2010 Jaroslav Reznik <jreznik@redhat.com> - 1.7-1
- initial package